summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Ryan P.C. McQuen2014-03-31 08:57:26 +0200
committer Willy Sudiarto Raharjo2014-04-07 09:43:42 +0200
commit77305aeed47c719c3f585021ec015faa91666008 (patch)
tree2a10a8853fa39183c83ccdd6ebd5f8f941531545 /development
parentcd5da0cb1b5d6c563573c2d63e3088c9f739afe3 (diff)
downloadslackbuilds-77305aeed47c719c3f585021ec015faa91666008.tar.gz
development/lighttable: Added (An interactive IDE).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/lighttable/README6
-rw-r--r--development/lighttable/lighttable.SlackBuild89
-rw-r--r--development/lighttable/lighttable.desktop8
-rw-r--r--development/lighttable/lighttable.info10
-rw-r--r--development/lighttable/slack-desc19
5 files changed, 132 insertions, 0 deletions
diff --git a/development/lighttable/README b/development/lighttable/README
new file mode 100644
index 0000000000..e77622e6dc
--- /dev/null
+++ b/development/lighttable/README
@@ -0,0 +1,6 @@
+Light Table is a new interactive IDE that lets you modify running
+programs and embed anything from websites to games.
+
+It provides the real time feedback we need to not only answer
+questions about our code, but to understand how our programs
+really work.
diff --git a/development/lighttable/lighttable.SlackBuild b/development/lighttable/lighttable.SlackBuild
new file mode 100644
index 0000000000..728a152e53
--- /dev/null
+++ b/development/lighttable/lighttable.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+#
+# Copyright 2014 Ryan P.C. McQuen
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lighttable
+SRCNAM=LightTable
+VERSION=${VERSION:-0.6.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+TARBALL_x86=$SRCNAM"Linux.tar.gz" # Name of 32bit tarball
+TARBALL_x86_64=$SRCNAM"Linux64.tar.gz" # Name of 64bit tarball
+TARBALL_ROOT=$SRCNAM # Name of tarball root directory
+
+# Set LIBDIRSUFFIX and TARBALL.
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+ TARBALL="$TARBALL_x86_64"
+else
+ LIBDIRSUFFIX=""
+ TARBALL="$TARBALL_x86"
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf "$TARBALL_ROOT"
+tar -xvf "$CWD/$TARBALL"
+cd "$TARBALL_ROOT"
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/opt/$SRCNAM
+cp -a * $PKG/opt/$SRCNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/bin
+ln -sf /opt/$PRGNAM/$SRCNAM $PKG/usr/bin
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/lighttable/lighttable.desktop b/development/lighttable/lighttable.desktop
new file mode 100644
index 0000000000..1f94ec8ea4
--- /dev/null
+++ b/development/lighttable/lighttable.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=LightTable
+GenericName=Text Editor
+Exec=LightTable
+Icon=LightTable
+Type=Application
+Terminal=false
+Categories=Utility;TextEditor;
diff --git a/development/lighttable/lighttable.info b/development/lighttable/lighttable.info
new file mode 100644
index 0000000000..424f3d82af
--- /dev/null
+++ b/development/lighttable/lighttable.info
@@ -0,0 +1,10 @@
+PRGNAM="lighttable"
+VERSION="0.6.5"
+HOMEPAGE="http://www.lighttable.com"
+DOWNLOAD="https://d35ac8ww5dfjyg.cloudfront.net/playground/bins/0.6.5/LightTableLinux.tar.gz"
+MD5SUM="fe4f06707eb1eff509d3dce965019528"
+DOWNLOAD_x86_64="http://d35ac8ww5dfjyg.cloudfront.net/playground/bins/0.6.5/LightTableLinux64.tar.gz"
+MD5SUM_x86_64="94d3f5906db70bfc272686160ae90d67"
+REQUIRES=""
+MAINTAINER="Ryan P.C. McQuen"
+EMAIL="ryan.q@linux.com"
diff --git a/development/lighttable/slack-desc b/development/lighttable/slack-desc
new file mode 100644
index 0000000000..837a9ab17f
--- /dev/null
+++ b/development/lighttable/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lighttable: Light Table (An interactive IDE)
+lighttable:
+lighttable: Light Table is a new interactive IDE that lets you modify running
+lighttable: programs and embed anything from websites to games.
+lighttable:
+lighttable: It provides the real time feedback we need to not only answer
+lighttable: questions about our code, but to understand how our programs
+lighttable: really work.
+lighttable:
+lighttable:
+lighttable: